<p align="center">
  <img src="https://github.com/open-stage/blender-dmx/assets/3680926/c7a8e6c5-786f-4f7b-88f5-374b8cb9e51e" />
</p>

# [BlenderDMX](https://blenderdmx.eu)

https://blenderdmx.eu

A DMX visualization tool inside <a href="https://blender.org">Blender</a>, designed to offer a free and easy solution for Lighting Designers. Device definition is based on <a href="https://gdtf-share.com">GDTF Specification</a>, utilizing the Fixture library on <a href="https://gdtf-share.com">GDTF Share</a>. GDTF import is based on <a href="https://github.com/open-stage/python-gdtf">pygdtf</a> - Python GDTF library, <a href="https://gdtf-share.com">MVR</a> scene import is based on <a href="https://github.com/open-stage/python-mvr">pymvr</a> - Python MVR library. For more GDTF/MVR resources and news see <a href="https://gdtf.eu">GDTF.eu</a>.

![](https://i.ibb.co/rvpKYxB/render-eevee-7.png)

## Installation

Make sure you have [Blender](https://www.blender.org/download/) 4.x installed,
minimal working version is 3.4 or 4.1 (via older addon), latest tested is 4.3
via Extension.

Go to [DOWNLOAD PAGE](https://blenderdmx.eu/download).

## How to Use

For details on how to use the Addon, check our [Docs/FAQ](https://blenderdmx.eu/docs/faq/).

Check the demonstration video:
[demonstration video](https://www.youtube.com/watch?v=uzZQhcqSjS4)

We also have a `Discord` server for sharing knowledge: [discord server link](https://discord.gg/FQVVyc45T9)

## Learning

Having an open source visualizer in Python provides many opportunities to learn
and understand how stuff works under the hood. Check out how each component
works and make improvements or modifications as required. [Read
more](https://blenderdmx.eu/community/#development) about development.

## Donations

Currently there is no donation link for the project itself. We have put
months/years of effort into this project, and it will always be free and open
source. If it helps you, please give us a [five star review ⭐⭐⭐⭐⭐ on the
Extension
store](https://extensions.blender.org/add-ons/open-stage-blender-dmx/reviews/),
mention BlenderDMX on social media, share your renders, [help with
coding](https://github.com/open-stage/blender-dmx/), or [help to improve the
documentation](https://github.com/open-stage/blender-dmx-web).

Thank you.
